Bug 1260291 - AttributeError: 'MDRaidArrayDevice' object has no attribute 'devices'
AttributeError: 'MDRaidArrayDevice' object has no attribute 'devices'
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:ab6671d5cced75f70c1e57bd45a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-05 12:17 EDT by John F Sullivan
Modified: 2015-09-19 15:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 14:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.03 MB, text/plain)
2015-09-05 12:17 EDT, John F Sullivan
no flags Details
File: anaconda.log (81.94 KB, text/plain)
2015-09-05 12:17 EDT, John F Sullivan
no flags Details
File: dnf.log (2.94 KB, text/plain)
2015-09-05 12:17 EDT, John F Sullivan
no flags Details
File: environ (494 bytes, text/plain)
2015-09-05 12:17 EDT, John F Sullivan
no flags Details
File: lsblk_output (4.49 KB, text/plain)
2015-09-05 12:17 EDT, John F Sullivan
no flags Details
File: nmcli_dev_list (1.20 KB, text/plain)
2015-09-05 12:17 EDT, John F Sullivan
no flags Details
File: os_info (451 bytes, text/plain)
2015-09-05 12:17 EDT, John F Sullivan
no flags Details
File: program.log (57.59 KB, text/plain)
2015-09-05 12:17 EDT, John F Sullivan
no flags Details
File: storage.log (513.68 KB, text/plain)
2015-09-05 12:17 EDT, John F Sullivan
no flags Details
File: syslog (82.84 KB, text/plain)
2015-09-05 12:17 EDT, John F Sullivan
no flags Details
File: ifcfg.log (2.39 KB, text/plain)
2015-09-05 12:17 EDT, John F Sullivan
no flags Details
File: packaging.log (552 bytes, text/plain)
2015-09-05 12:17 EDT, John F Sullivan
no flags Details

  None (edit)
Description John F Sullivan 2015-09-05 12:17:07 EDT
Description of problem:
Installing F23 Alpha Server x86_64 in a KVM guest.

Storage configuration:
/boot:  ext4 on six-disk software (md) RAID6 (5 data drives, 1 spare)
LVM PV on six-disk software (md) RAID6 (5 data drives, 1 spare)
/ - BTRFS-formatted logical volume, 10G, subvol=f23-alpha-root
/var - BTRFS-formatted logical volume, 7G, subvol=f23-alpha-var
/var/log - BTRFS-formatted logical volume, 1G, subvol=f23-alpha-var-log
/var/log/audit - BTRFS-formatted logical volume, 1G, subvol=f23-alpha-var-log-audit
/var/tmp - BTRFS-formatted logical volume, 1G, subvol=f23-alpha-var-tmp
/tmp - BTRFS-formatted logical volume, 1G, subvol=f23-alpha-tmp
/home - BTRFS-formatted logical volume, 5G, subvol=home
/var/www BTRFS-formatted logical volume, 1G, subvol=www

Configured storage, clicked Done, and the system threw an error.

Version-Release number of selected component:
anaconda-23.17-1

The following was filed automatically by anaconda:
anaconda 23.17-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 391, in _is_valid_md
    for member in device.devices:
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 701, in is_valid_stage2_device
    desc=_(self.stage2_description)):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 1349, in is_valid_stage2_device
    valid = super(GRUB, self).is_valid_stage2_device(device, linux, non_linux)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/storage_utils.py", line 254, in sanity_check
    storage.bootloader.is_valid_stage2_device(stage2)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/helpers.py", line 93, in checkStorage
    exns = sanity_check(self.storage, min_ram=self._min_ram)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1600, in _do_check
    StorageChecker.checkStorage(self)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1654, in on_back_clicked
    if not self._do_check():
AttributeError: 'MDRaidArrayDevice' object has no attribute 'devices'

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-23_A-x86_64 rd.live.check quiet
dnf.rpm.log:    Sep 05 16:01:20 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        23
Comment 1 John F Sullivan 2015-09-05 12:17:12 EDT
Created attachment 1070499 [details]
File: anaconda-tb
Comment 2 John F Sullivan 2015-09-05 12:17:14 EDT
Created attachment 1070500 [details]
File: anaconda.log
Comment 3 John F Sullivan 2015-09-05 12:17:14 EDT
Created attachment 1070501 [details]
File: dnf.log
Comment 4 John F Sullivan 2015-09-05 12:17:15 EDT
Created attachment 1070502 [details]
File: environ
Comment 5 John F Sullivan 2015-09-05 12:17:16 EDT
Created attachment 1070503 [details]
File: lsblk_output
Comment 6 John F Sullivan 2015-09-05 12:17:17 EDT
Created attachment 1070504 [details]
File: nmcli_dev_list
Comment 7 John F Sullivan 2015-09-05 12:17:18 EDT
Created attachment 1070505 [details]
File: os_info
Comment 8 John F Sullivan 2015-09-05 12:17:19 EDT
Created attachment 1070506 [details]
File: program.log
Comment 9 John F Sullivan 2015-09-05 12:17:21 EDT
Created attachment 1070507 [details]
File: storage.log
Comment 10 John F Sullivan 2015-09-05 12:17:22 EDT
Created attachment 1070508 [details]
File: syslog
Comment 11 John F Sullivan 2015-09-05 12:17:23 EDT
Created attachment 1070509 [details]
File: ifcfg.log
Comment 12 John F Sullivan 2015-09-05 12:17:24 EDT
Created attachment 1070510 [details]
File: packaging.log
Comment 13 John F Sullivan 2015-09-07 14:44:32 EDT
This issue can be reproduced specifically by placing the '/boot' partition as ext4 on a separate RAID6 device.

I have six drives partitioned as follows:
Disk /dev/sdb: 15 GiB, 16106127360 bytes, 31457280 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0x487e7fb4

Device          Size Id Type
/dev/sd[a-f]1   512M fd Linux raid autodetect
/dev/sd[a-f]2  14.5G fd Linux raid autodetect

Partition 1 of each disk belongs to the RAID6 that is formatted ext4 and is the /boot file system.

Partition 2 of each disk belongs to the RAID6 that is the physical volume for the LVM volume group that is then subdivided into volumes, each of which is formatted BTRFS.
Comment 15 John F Sullivan 2015-09-08 14:28:56 EDT
Thanks!  Will another bug track removal of this deprecated property before it is removed again?
Comment 16 David Shea 2015-09-09 16:02:03 EDT
(In reply to John F Sullivan from comment #15)
> Thanks!  Will another bug track removal of this deprecated property before
> it is removed again?

https://github.com/rhinstaller/anaconda/pull/357
Comment 17 John F Sullivan 2015-09-10 07:42:10 EDT
Perfect - thank you very much, David.
Comment 18 Lars Kellogg-Stedman 2015-09-19 15:14:14 EDT
Another user experienced a similar problem:

I have three drives, all configured with a 500MB first partition and the remainder assigned to the second partition.

/dev/sd[abc]1 has been assembled into a RAID array, which has been started.
/dev/sd[abc]2 has been assembled into a volume group.

Everything looks fine in the installer until I click "Done", at which point the "An unknown error has occurred" dialog pops up.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-23_A-x86_64 rd.live.check quiet
dnf.rpm.log:    Sep 19 18:36:44 INFO --- logging initialized ---
hashmarkername: anaconda
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64
package:        anaconda-23.17-1
product:        Fedora
reason:         AttributeError: 'MDRaidArrayDevice' object has no attribute 'devices'
release:        Cannot get release name.
version:        23

Note You need to log in before you can comment on or make changes to this bug.